VMTKLOCALGEOMETRY(1)

NAME
vmtklocalgeometry - vmtk script vmtklocalgeometry

DESCRIPTION
Automatic piping vmtklocalgeometry Parsing options vmtklocalgeometry

vmtklocalgeometry : compute local geometric properties of a surface

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Surface (vtkPolyData,1)

-ifile SurfaceInputFileName (str,1): filename for the default

    Surface reader

-centerlines Centerlines (vtkPolyData,1)

-centerlinesfile CenterlinesInputFileName (str,1): filename for the

    default Centerlines reader

-voronoidiagram VoronoiDiagram (vtkPolyData,1)

-voronoidiagramfile VoronoiDiagramInputFileName (str,1): filename

    for the default VoronoiDiagram reader

-poleids PoleIds (vtkIdList,1)

-edgearray EdgeArrayName (str,1); default=EdgeArray

-voronoigeodesicdistancearray VoronoiGeodesicDistanceArrayName

    (str,1); default=VoronoiGeodesicDistance

-voronoipolecenterlinevectorsarray

    VoronoiPoleCenterlineVectorsArrayName (str,1); default=VoronoiPoleCenterlineVectors

-voronoicellidsarray VoronoiCellIdsArrayName (str,1);

    default=VoronoiCellIds

-voronoipcoordsarray VoronoiPCoordsArrayName (str,1);

    default=VoronoiPCoords

-computepolevectors ComputePoleVectors (bool,1); default=0

-computegeodesicdistance ComputeGeodesicDistance (bool,1);

    default=0

-computentd ComputeNormalizedTangencyDeviation (bool,1); default=0

-computeeuclideandistance ComputeEuclideanDistance (bool,1);

    default=0

-computecenterlinevectors ComputeCenterlineVectors (bool,1);

    default=0

-computecellids ComputeCellIds (bool,1); default=0

-computepcoords ComputePCoords (bool,1); default=0

-adjustboundaryvalues AdjustBoundaryValues (bool,1); default=0

-polevectorsarray PoleVectorsArrayName (str,1); default=PoleVectors

-geodesicdistancearray GeodesicDistanceArrayName (str,1);

    default=GeodesicDistance

-ntdarray NormalizedTangencyDeviationArrayName (str,1); default=NTD

-euclideandistancearray EuclideanDistanceArrayName (str,1);

    default=EuclideanDistance

-centerlinevectorsarray CenterlineVectorsArrayName (str,1);

    default=CenterlineVectors

-cellidsarray CellIdsArrayName (str,1); default=CellIdsArray

-pcoordsarray PCoordsArrayName (str,1); default=PCoordsArray

-ofile SurfaceOutputFileName (str,1): filename for the default

    Surface writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Surface (vtkPolyData,1)

-polevectorsarray PoleVectorsArrayName (str,1); default=PoleVectors

-geodesicdistancearray GeodesicDistanceArrayName (str,1);

    default=GeodesicDistance

-ntdarray NormalizedTangencyDeviationArrayName (str,1); default=NTD

-euclideandistancearray EuclideanDistanceArrayName (str,1);

    default=EuclideanDistance

-centerlinevectorsarray CenterlineVectorsArrayName (str,1);

    default=CenterlineVectors

-cellidsarray CellIdsArrayName (str,1); default=CellIdsArray

-pcoordsarray PCoordsArrayName (str,1); default=PCoordsArray